bitel.billing.server.dialup.bean

## Class DialUpReportUtils

- java.lang.Object
- - bitel.billing.server.call.bean.ReportUtils
  - - bitel.billing.server.dialup.bean.DialUpReportUtils

-     public final class DialUpReportUtils
      extends ReportUtils

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.call.bean.ReportUtils

      `con, loginManager, mid, moduleSetup, unit, unit_scale`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DialUpReportUtils(java.sql.Connection con, int mid, Preferences moduleSetup)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLoginsAmounts(Period period, int cid, org.w3c.dom.Element data, java.lang.String module, java.lang.String filter)`
    `void` | `addLoginsAmounts(Period period, int cid, java.util.Map<java.lang.String,java.lang.Object> dataMap, java.lang.String module, java.lang.String filter)`
    `void` | `addSessions(org.w3c.dom.Element sessions, java.util.List<java.lang.Integer> lids, Period period, boolean break_on_pages, Page page, java.lang.String columns, java.lang.String filter)`
    `void` | `addSessions(java.sql.ResultSet rs, org.w3c.dom.Element data)`
    `int` | `addSums(org.w3c.dom.Element data, java.util.List<java.lang.Integer> lids, Period period, java.lang.String filter)`
    `java.util.List<java.lang.Object>` | `getSessionsColSumTimeTraffics(java.util.List<java.lang.Integer> lids, Period period)` Возвращает список объектов: 1) количество - Integer 2) сумма - Float 3) время - Integer 4) трафики - List of BigDecimal

    - ### Methods inherited from class bitel.billing.server.call.bean.ReportUtils

      `getLoginManager, getReportUtils, getSessionsColSumTimeTinTout, getSessionsColSumTimeTinTout, getSessionTableName, selectSomethingFromSessions, selectSomethingFromSessions, selectSomthFromSessions, selectSomthFromSessions, setUnit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DialUpReportUtils

          public DialUpReportUtils(java.sql.Connection con,
                                   int mid,
                                   Preferences moduleSetup)

  - ### Method Detail

    - #### addSessions

          public void addSessions(java.sql.ResultSet rs,
                                  org.w3c.dom.Element data)

      Overrides:
        `addSessions` in class `ReportUtils`
      See Also:
        `ReportUtils.addSessions(java.sql.ResultSet, org.w3c.dom.Element)`

    - #### addLoginsAmounts

          public void addLoginsAmounts(Period period,
                                       int cid,
                                       org.w3c.dom.Element data,
                                       java.lang.String module,
                                       java.lang.String filter)
                                throws java.sql.SQLException

      Specified by:
        `addLoginsAmounts` in class `ReportUtils`
      Throws:
        `java.sql.SQLException`
      See Also:
        `bitel.billing.server.call.bean.ReportUtils#addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, org.w3c.dom.Element, java.lang.String, java.lang.String)`

    - #### addLoginsAmounts

          public void addLoginsAmounts(Period period,
                                       int cid,
                                       java.util.Map<java.lang.String,java.lang.Object> dataMap,
                                       java.lang.String module,
                                       java.lang.String filter)
                                throws java.sql.SQLException

      Specified by:
        `addLoginsAmounts` in class `ReportUtils`
      Throws:
        `java.sql.SQLException`
      See Also:
        `bitel.billing.server.call.bean.ReportUtils#addLoginsAmounts(bitel.billing.server.util.MonthPeriod, int, java.util.Map, java.lang.String, java.lang.String)`

    - #### addSums

          public int addSums(org.w3c.dom.Element data,
                             java.util.List<java.lang.Integer> lids,
                             Period period,
                             java.lang.String filter)
                      throws java.sql.SQLException

      Specified by:
        `addSums` in class `ReportUtils`
      Throws:
        `java.sql.SQLException`
      See Also:
        `bitel.billing.server.call.bean.ReportUtils#addSums(org.w3c.dom.Element, java.util.List, bitel.billing.server.util.MonthPeriod, java.lang.String)`

    - #### getSessionsColSumTimeTraffics

          public java.util.List<java.lang.Object> getSessionsColSumTimeTraffics(java.util.List<java.lang.Integer> lids,
                                                                                Period period)
                                                                         throws java.sql.SQLException

      Возвращает список объектов: 1) количество - Integer 2) сумма - Float 3) время - Integer 4) трафики - List of BigDecimal
      Parameters:
        `lids` - коды логинов
        `per` - период
      Returns:
        список объектов
      Throws:
        `java.sql.SQLException`

    - #### addSessions

          public void addSessions(org.w3c.dom.Element sessions,
                                  java.util.List<java.lang.Integer> lids,
                                  Period period,
                                  boolean break_on_pages,
                                  Page page,
                                  java.lang.String columns,
                                  java.lang.String filter)

      Overrides:
        `addSessions` in class `ReportUtils`
      See Also:
        `bitel.billing.server.call.bean.ReportUtils#addSessions(org.w3c.dom.Element, java.util.List, bitel.billing.server.util.MonthPeriod, boolean, ru.bitel.common.model.Page, java.lang.String, java.lang.String)`